Package org.eclipse.emf.cdo.common.revision

## Interface CDORevisionsLoadedEvent

- All Superinterfaces:
    `org.eclipse.net4j.util.event.IEvent`

      public interface CDORevisionsLoadedEvent
      extends org.eclipse.net4j.util.event.IEvent

  An `event` fired from a `revision manager` when a new `revision` has been loaded.
  Since:
    4.4
  Author:
    Esteban Dugueperoux
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<? extends CDORevision>` | `getAdditionalLoadedRevisions()` |
    `int` | `getPrefetchDepth()` |
    `java.util.List<? extends CDORevision>` | `getPrimaryLoadedRevisions()` |
    `CDORevisionManager` | `getSource()` |

- - ### Method Detail

    - #### getSource

          CDORevisionManager getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

    - #### getPrimaryLoadedRevisions

          java.util.List<? extends CDORevision> getPrimaryLoadedRevisions()

    - #### getAdditionalLoadedRevisions

          java.util.List<? extends CDORevision> getAdditionalLoadedRevisions()

    - #### getPrefetchDepth

          int getPrefetchDepth()